// nova-werun/pages/home/statistics/index.js
const Parse = getApp().Parse;
const company = getApp().globalData.company;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        //屏幕高度
        statusBarHeight: 0, // 状态栏高度
        screenHeight: 0, // 屏幕高度
        customHeight: 0, // 自定义导航栏高度（如小程序右上角胶囊按钮）
        bottomNavHeight: 0, // 底部导航栏高度
        contentHeight: 0, // 可用内容高度
        contentHeight2: 0,
        contentpadding: 0, //顶部padding高度

        active: 0,
        //
        day: '7',
        target: '',
        sharList:[]
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        // 计算
        const systemInfo = wx.getSystemInfoSync();
        const statusBarHeight = systemInfo.statusBarHeight || 0;
        const screenHeight = systemInfo.screenHeight || 0;
        const custom = wx.getMenuButtonBoundingClientRect();
        const customHeight = custom.height + 10 + 2 || 0;
        const bottomNavHeight = systemInfo.screenHeight - systemInfo.safeArea.bottom || 0;

        const contentpadding = (statusBarHeight + customHeight) * 750 / systemInfo.windowWidth;
        const contentHeight = (screenHeight - 50 - bottomNavHeight - statusBarHeight - customHeight) * 750 / systemInfo.windowWidth;
        this.setData({
            statusBarHeight,
            screenHeight,
            customHeight,
            bottomNavHeight,
            contentpadding,
            contentHeight
        });
        this.gettarget()
        this.order()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },
    onChange(event) {
        this.setData({
            active: event.detail
        });
    },
    changeday() {
        if (this.data.day == '7') {
            this.setData({
                day: '30'
            })
        } else {
            this.setData({
                day: '7'
            })
        }
    },
    async gettarget() {
        const currentUser = Parse.User.current();
        let userquery = new Parse.Query('_User');
        userquery.equalTo('company', company);
        userquery.equalTo('objectId', currentUser.id);
        userquery.notEqualTo('isDeleted', true)
        let user = await userquery.find();
        let num = user.map(item => item.toJSON());
        if (num[0].num) {
            this.setData({
                target: num[0].num
            })
            console.log('当前步数', this.data.target);
        }
    },
        //获取当天运动数据
        async order() {
            const currentUser = Parse.User.current();
            let ActivityDataquery = new Parse.Query('ActivityData');
            ActivityDataquery.equalTo('user', currentUser.id);
            ActivityDataquery.equalTo('company', company);
            ActivityDataquery.equalTo('type', 'today');
            ActivityDataquery.notEqualTo('isDeleted', true);
    
            // 获取今天的日期
            const today = new Date();
            const todayStart = new Date(today.getFullYear(), today.getMonth(), today.getDate()); // 今天的开始时间
            const todayEnd = new Date(todayStart);
            todayEnd.setHours(23, 59, 59, 999); // 今天的结束时间
    
            // 在查询条件中添加对 createdAt 的限制
            ActivityDataquery.greaterThanOrEqualTo('createdAt', todayStart);
            ActivityDataquery.lessThanOrEqualTo('createdAt', todayEnd);
            ActivityDataquery.include('user');
    
            let r = await ActivityDataquery.find();
            let sharList = r.map(item => item.toJSON());
    
            this.setData({
                sharList
            });
            console.log(this.data.sharList);
        },
})